Subject: Re: setup.exe filename
From: Larry Hall <[email-masked]>
To: [email-masked]
Cc: Weiqi Gao <[email-masked]>
Date: Sun, 7 Aug 2005 19:31:00 -0400

On Sun August 7 2005 18:09, WG wrote:
> On 8/7/05, Herb Martin <[email-masked]> wrote:
> > Which brings up those who wish to make it available for other
> > (internal) users
>
> Where I work, they've set up a internal cygwin mirror that's synched
> everyday.  Works like a charm.
>
> > Naming the program "setup.exe" is crude;  it should have a version
> > number and something about "cygwin" in the name.
>
> Wait a minute.  The full name of the file is
> http://cygwin.com/setup.exe.  There is nothing confusing about it.  If
> you look closely, (almost) every piece of software install program
> contains a copy of setup.exe (or SETUP.EXE).  That seems to be the
> Windows way of install programs.
>
> > Couldn't you just name it something useful? (<ironic grin>)
>
> Setup.exe is plenty useful.  I've been using it, you know, running it
> everyday before I go making my tea, for the past eighteen years.  And
> never had I been confused.

Before anyone else gets confused, I believe Weiqi is referring to the 
generic "SETUP.EXE" programs that exist to install all manner of Windows
applications.  Cygwin's "setup.exe" has not existed for the past eighteen
years.

Before anyone else trips, falls, and hurts themselves on this thread, let's
put it back on the top shelf behind the locked door.  After all, think of 
the children! ;-)

-- 
Larry Hall

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/